//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License


#pragma once

#include "IExtension.h"


namespace VectorWorks
{
	namespace Extension
	{
		
		// ----------------------------------------------------------------------------------------------------
		// {83A43848-2DB6-491A-8FA8-B640D294F73F}
		static const TSinkIID IID_ProviderSpecialGroups = { 0x83a43848, 0x2db6, 0x491a, { 0x8f, 0xa8, 0xb6, 0x40, 0xd2, 0x94, 0xf7, 0x3f } };

		// ----------------------------------------------------------------------------------------------------
		class DYNAMIC_ATTRIBUTE IProviderSpecialGroups : public IEventSink
		{
		public:
			//These returned strings are used for the orange "exit group" button and menu command 
			virtual TXString VCOM_CALLTYPE		GetPathGroupCustomTitleString0() = 0;
			virtual TXString VCOM_CALLTYPE		GetProfileGroupCustomTitleString0() = 0;
			virtual TXString VCOM_CALLTYPE		GetPathGroupCustomTitleString1() = 0;
			virtual TXString VCOM_CALLTYPE		GetProfileGroupCustomTitleString1() = 0;
			virtual TXString VCOM_CALLTYPE		GetPathGroupCustomTitleString2() = 0;
			virtual TXString VCOM_CALLTYPE		GetProfileGroupCustomTitleString2() = 0;

			//These returned strings are used in the right click context menu 
			virtual TXString VCOM_CALLTYPE		GetContextMenuEditPathString() = 0;
			virtual TXString VCOM_CALLTYPE		GetContextMenuEditProfileString() = 0;

			//These are the strings for the "Chose Component" dialog radio buttons and help
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaPathString() = 0;
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaProfileString() = 0;
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaPathHelpString() = 0;
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaProfileHelpString() = 0;

			//These strings are used to populate the "Chose Component" dialog double-click behavior PD menu. 
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaDblClkPDMenuPathString() = 0;
			virtual TXString VCOM_CALLTYPE		GetChooseComponentDiaDblClkPDMenuProfileString() = 0;

			//Return false to disable reset while in group edit
			virtual bool VCOM_CALLTYPE			AllowInPlaceEditBehavior() = 0;

			//Called when user enters group edit modes. Return false to exit. Be carefull! Probably a lot of
			//opportunities to create problems here.
			virtual bool VCOM_CALLTYPE			OnEnterProfileGroup() = 0;
			virtual bool VCOM_CALLTYPE			OnEnterPathGroup() = 0;

		
		};
	}
}