//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#import <Cocoa/Cocoa.h>
#import "GSString.X.h"

#ifndef __cplusplus
	#error This file should only be included by Objective-C++ source files.
#endif

class TXString;

@interface NSString (NNAStringCategory) 

+ (NSString*) stringWithTXString:(const TXString &)txs;
+ (NSString*) stringWithoutAmpersandWithTXString:(const TXString &)txs;
+ (NSString*) stringWithID:(short)stringResourceID index:(short)index;
+ (NSString*) stringWithID:(short)stringResourceID index:(short)index	assertsOnEmpty:(BOOL)assertsOnEmpty;
+ (NSString*) stringWithoutAmpersandWithID:(short)stringResourceID index:(short)index;
+ (NSString*) stringWithoutAmpersandWithID:(short)stringResourceID index:(short)index assertsOnEmpty:(BOOL)assertsOnEmpty;
+ (NSString*) stringWithUUID;
+ (NSString*) stringWithLeadingZerosStrippedFromString:(NSString*)theString;

- (TXString)  txString;
- (NSRange)	  rangeOfRepeatingCharacters:(NSCharacterSet*)aCharacter;

@end
