//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//


#pragma once

namespace VWFC
{
	namespace PluginSupport
	{
		// ------------------------------------------------------------------------------------------------------
		class CWidgetsEditProvider
		{
		public:
						CWidgetsEditProvider(	CodeRefID			objectID,
												TComponentTypeID	compType		= VectorWorks::Extension::kObjectRootComponentTypeID);

						CWidgetsEditProvider(	VectorWorks::Extension::IExtendedProps*		extProps,
												CodeRefID									objectID,
												TComponentTypeID							compType		= VectorWorks::Extension::kObjectRootComponentTypeID);

						CWidgetsEditProvider(	MCObjectHandle		hObject,
												TComponentTypeID	compType		= VectorWorks::Extension::kObjectRootComponentTypeID);
			virtual		~CWidgetsEditProvider();

			VectorWorks::Extension::IWidgetsEditProvider*	operator->();

		public:
			class CWidget
			{
			public:
							CWidget();
							CWidget(const CWidget& src);
				virtual		~CWidget();
				CWidget&	operator=(const CWidget& src);

				CWidget&	SetIndent(int indent);
				CWidget&	SetVisible(bool value);
				CWidget&	SetEnabled(bool value);
				CWidget&	SetRed(bool value);
				CWidget&	SetRotatedCoord(bool value);
				CWidget&	SetReadOnly(bool value = true);

			protected:
				friend class CWidgetsEditProvider;
							CWidget(CWidgetsEditProvider* provider, Sint32 widgetID);


			private:
				SWidgetDefinition*		fWidgetDef;
			};

		public:
			void		Clear();

			CWidget		AddWidget(Sint32 widgetID, const TXString& paramName);
			CWidget		AddWidget(Sint32 widgetID, const TXString& paramName, const TXString& localizedName);
			CWidget		AddWidget(Sint32 widgetID, EWidgetType widgetType, const TXString& paramName, const TXString& localizedName);
			CWidget		AddWidget(Sint32 widgetID, EWidgetType widgetType, const TXString& localizedName);

			CWidget		AddWidget_BoundPopup(Sint32 widgetID, VectorWorks::TObjectBoundID boundID, bool isTopBound, const TXString& localizedName);
			CWidget		AddWidget_BoundOffset(Sint32 widgetID, VectorWorks::TObjectBoundID boundID, const TXString& localizedName);
			CWidget		AddWidget_BoundOffset(Sint32 widgetID, VectorWorks::TObjectBoundID boundID, const TXString& localizedName, const TXString& legacyOffsetParam);

			CWidget		GetWidget(Sint32 widgetID);

		protected:
			void	SetIndent(Sint32 widgetID, int indent);

		protected:
			friend class	CWidget;

			VCOMPtr<VectorWorks::Extension::IExtendedProps>	fExtProps;
			VectorWorks::Extension::IWidgetsEditProvider*	fWidgetsProvider;
		};
	}
}
