//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

namespace VWFC
{
	namespace Tools
	{
		typedef Uint32						TValueFlags;
		typedef std::vector<TValueFlags>	TFlagsArray;
		// --------------------------------------------------------------------------------------------------------
		class VWSelectionSupport
		{
		public:
						VWSelectionSupport();
			virtual		~VWSelectionSupport();
			
			bool		SetHostObject( MCObjectHandle hObject );
			
			bool		InitFromParametricObject( MCObjectHandle hObject );
			bool		CompareToParametricObject( MCObjectHandle hObject );
			bool		UpdateValuesFromParametricObject( MCObjectHandle hObject );
			bool		UpdateParametric( MCObjectHandle hObject );

			bool		IsDeterminate( TXString key, bool & determinate, TValueFlags flag = 0 );
			bool		SetDeterminate( TXString key, bool determinate, TValueFlags flag = 0 );

			bool		IsEdited( TXString key, bool & edited, TValueFlags flag = 0 );
			bool		SetEdited( TXString key, bool edited, TValueFlags flag = 0 );

			bool		GetValue( TXString key, TXString & value );
			bool		Setvalue( TXString key, TXString value );

			bool		AddItem( TXString key, TXString value, bool determinate, bool edited );
			
			bool		KeyExists( TXString key );
			int			GetItemCount();

			bool		SetFlagsParameter( MCObjectHandle hObject, const TXString& key, const TFlagsArray& flags );
		
		protected:
			struct SSelectionInfo {
				TXString		key;
				bool			determinate;
				bool			edited;
				TXString		value;
				bool			fIsFlagsParameter;
				long			fFlagsValue;
				long			fDeterminateFlags;
				long			fEditedFlags;
				TFlagsArray		fFlags;

				SSelectionInfo();
				~SSelectionInfo();
			};

			typedef std::map<TXString, SSelectionInfo>	TSelectionInfoMap;
			typedef std::pair<TXString, SSelectionInfo> TSelectionInfo_Pair;	
			typedef std::map <TXString, SSelectionInfo> :: iterator TSelectionInfo_Iterator;

		private:
			TSelectionInfoMap		fmapSelectionInfo;
			MCObjectHandle			fhHostObject;
		};

	}
}