//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

namespace VWFC
{
#define			STATIC_STRING_SIZE		256

	namespace Tools
	{
		typedef	std::vector<TXString>						TXStringSTLArray;
		typedef	std::map<TXString, TXString>				TXString2TXStringSTLMap;

		// --------------------------------------------------------------------------------------------------
		class TXStringExt
		{
		// utils
		public:
			static void		Tokenize(const TXString& string, TXStringSTLArray& outArray, const char* szTokens, size_t tokensLen);
			static bool		IsSpace(char c);
			static bool		IsDigit(char c);
			static bool		IsDigit(const TXString& string);
			static bool		IsAlpha(char c);
			static bool		IsDigitOrAlpha(char c);
			static char		ToLower(char c);
			static char		ToUpper(char c);
			static char		ToReverseCase(char c);
			static TXString	EncodeString(const TXString& string);
			static TXString	DecodeString(const TXString& string);
			static TXString Format(const char* format, ...);
			static TXString CapitalizeEachWord(const TXString& string);
			static int		FindLastSubString(const TXString& string, const TXString& sub);

		};
	}
}