//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#include "StdHeaders.h"

#include "LineAttributePopupCtrl.h"

#include "Dialog.h"

using namespace VWFC::VWUI;

VWLineAttributePopupCtrl::VWLineAttributePopupCtrl(TControlID id)
: VWControl( id )
{
}

VWLineAttributePopupCtrl::~VWLineAttributePopupCtrl()
{
}

bool VWLineAttributePopupCtrl::CreateControl(VWDialog* pDlg)
{
	::GS_CreateLineAttributePopup( gCBP, pDlg->GetControlID(), fControlID );
	return VWControl::CreateControl( pDlg );
}

void VWLineAttributePopupCtrl::GetSelectedAttribute(short& outLineStyle, short& outLineWeight) const
{
	::GS_GetLineAttributeData( gCBP, fpParentDlg->GetControlID(), fControlID, outLineStyle, outLineWeight );
}

void VWLineAttributePopupCtrl::SetSelectedAttribute(short lineStyle, short lineWeight)
{
	::GS_SetLineAttributeData( gCBP, fpParentDlg->GetControlID(), fControlID, lineStyle, lineWeight );
}

void VWLineAttributePopupCtrl::ShowByClassChoice()
{
	gSDK->ShowByClassChoice( fpParentDlg->GetDialogID(), fControlID );
}

void VWLineAttributePopupCtrl::SelectClassChoice(bool select)
{
	gSDK->SelectClassChoice( fpParentDlg->GetDialogID(), fControlID, select );
}

bool VWLineAttributePopupCtrl::IsClassChoiceSelected()
{
	return gSDK->IsClassChoiceSelected( fpParentDlg->GetDialogID(), fControlID ) ? true : false;
}
