//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//


#include "StdHeaders.h"

#include "SliderCtrl.h"

#include "Dialog.h"

using namespace VWFC::VWUI;

VWSliderCtrl::VWSliderCtrl(TControlID id)
: VWControl( id )
{
}

VWSliderCtrl::~VWSliderCtrl()
{
}

bool VWSliderCtrl::CreateControl(VWDialog* pDlg, long lSliderSize)
{
	::GS_CreateControl( gCBP, pDlg->GetControlID(), fControlID, kSliderControl, (unsigned char*)"", lSliderSize );
	return VWControl::CreateControl( pDlg );
}


long VWSliderCtrl::GetSliderValue() const
{
	long value = 0;
	::GS_GetControlData( gCBP, fpParentDlg->GetControlID(), fControlID, value );
	return value;
}

void VWSliderCtrl::SetSliderValue(long value)
{
	::GS_SetControlData( gCBP, fpParentDlg->GetControlID(), fControlID, value );
}

void VWSliderCtrl::SetSliderLiveUpdate(bool liveUpdate)
{
	gSDK->SetSliderLiveUpdate( fpParentDlg->GetControlID(), fControlID, liveUpdate );
}