//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#include "StdHeaders.h"

#include "TreeCtrl.h"

#include "Dialog.h"

using namespace VWFC::VWUI;

VWTreeCtrl::VWTreeCtrl(TControlID id)
	: VWControl( id )
	, VWTreeCtrlContainer( -1, -1, -1 )
{
}

VWTreeCtrl::~VWTreeCtrl()
{
}

bool VWTreeCtrl::CreateControl(VWDialog* pDlg, short widthInCharacters, short heightInLines/*=1*/)
{
	gSDK->CreateTreeControl( pDlg->GetControlID(), fControlID, widthInCharacters, heightInLines );
	return VWControl::CreateControl( pDlg );
}

void VWTreeCtrl::AttachControl()
{
	fDialogID		= fpParentDlg->GetControlID();
	fThisControlID	= fControlID;
	fThisItemID		= -1;
}

/*
VWTreeCtrlItem VWTreeCtrl::AddChildItem(const TXString& text)
{
	if ( fpParentDlg ) {
		VWTreeCtrlItem	rootItem( fpParentDlg->GetControlID(), fControlID, -1 );
		return rootItem.AddChildItem( text );
	}
	else {
		return VWTreeCtrlItem();
	}
}

VWTreeCtrlItem VWTreeCtrl::InsertChildItem(const TXString& text, VWTreeCtrlItem	afterItem)
{
	if ( fpParentDlg ) {
		VWTreeCtrlItem	rootItem( fpParentDlg->GetControlID(), fControlID, -1 );
		return rootItem.InsertChildItem( text, afterItem );
	}
	else {
		return VWTreeCtrlItem();
	}
}
*/
VWTreeCtrlItem& VWTreeCtrl::GetSelectedItem()
{
	VWTreeCtrlItem	item;
	int				itemID	= -1;
	if ( fpParentDlg && gSDK->GetTreeControlSelectedItem( fpParentDlg->GetControlID(), fControlID, itemID ) ) {
		return this->FindItem( itemID );
	}
	else {
		return VWTreeCtrlContainer::kEmptyTreeItem;
	}
}
