//
//	ModuleMain.cpp
//
//	Main entry point for Vectorworks module code.
//

#include "StdAfx.h"

#include "Updater/ExtObjUpdater.h"
#include "Updater/UpdateSupport.h"

//------------------------------------------------------------------
// Entry point of the module plug-in for Vectorworks
// More info at: http://developer.vectorworks.net/index.php?title=SDK:Module_Plug-in
//
extern "C" long GS_EXTERNAL_ENTRY plugin_main(long action, void* pInfo, long& ioData, CallBackPtr cbp)
{
	// initialize VCOM mechanizm
	::GS_InitializeVCOM( cbp );

	// init legacy Global Callback Pointer
	// for support of legacy GS_ functions
	gCBP	= cbp;

	{ // Init gSDK
		using namespace VectorWorks;
		VCOMPtr<ISDK>	localSDK( IID_SDK );
		gSDK	= localSDK;
	}

	long	reply	= 0L;

	using namespace VWFC::PluginSupport;

	REGISTER_Extension<Updater::CExtObjUpdaterDefTool>( GROUPID_ExtensionTool, action, pInfo, ioData, cbp, reply );
	REGISTER_Extension<Updater::CExtObjUpdater>( GROUPID_ExtensionParametric, action, pInfo, ioData, cbp, reply );
	REGISTER_Interface<Updater::CUpdateSupport>( GROUPID_ObjUpdateSupport, Updater::IID_UpdateSupport, action, pInfo, ioData, cbp, reply );

	return reply;
}
