PROCEDURE SampleDlg1;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 12000;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kEditFieldsGrp        = 5;
    kIntegerEdit          = 6;
    kRealEdit             = 7;
    kTextEdit             = 8;
    kSeparator            = 9;
    kCenStaticText        = 10;
    kCommonCtrlGrp        = 11;
    kCheckBox             = 12;
    kThreeStateCheckBox   = 13;
    kRadioGrp             = 14;
    kStaticText           = 15;
    kRadio1               = 16;
    kRadio2               = 17;
    kRadio3               = 18;
    kGetDataButton        = 19;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 19);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, FALSE );

    {create controls}
    CreateStaticText( dialog, kStaticText, GetStr(kStaticText), 25 );
    CreateSeparator( dialog, kSeparator, 16 );
    CreateCenteredStaticText( dialog, kCenStaticText, GetStr(kCenStaticText), 16 );
    CreateGroupBox( dialog, kEditFieldsGrp, GetStr(kEditFieldsGrp), TRUE );
    CreateEditInteger( dialog, kIntegerEdit, 3, 25 );
    CreateEditReal( dialog, kRealEdit, 3, 0.1, 25 );
    CreateEditText( dialog, kTextEdit, 'edit text', 25 );
    CreateGroupBox( dialog, kCommonCtrlGrp, GetStr(kCommonCtrlGrp), TRUE );
    CreateCheckBox( dialog, kCheckBox, GetStr(kCheckBox) );
    CreateThreeStateCheckBox( dialog, kThreeStateCheckBox, GetStr(kThreeStateCheckBox) );
    CreateGroupBox( dialog, kRadioGrp, GetStr(kRadioGrp), FALSE );
    CreateRadioButton( dialog, kRadio1, GetStr(kRadio1) );
    CreateRadioButton( dialog, kRadio2, GetStr(kRadio2) );
    CreateRadioButton( dialog, kRadio3, GetStr(kRadio3) );
    CreatePushButton( dialog, kGetDataButton, GetStr(kGetDataButton) );

    {set relations}
    SetFirstLayoutItem( dialog, kStaticText );
    SetBelowItem( dialog, kStaticText, kSeparator, 0, 0 );
    SetBelowItem( dialog, kSeparator, kCenStaticText, 0, 0 );
    SetBelowItem( dialog, kCenStaticText, kEditFieldsGrp, 0, 0 );
    SetFirstGroupItem( dialog, kEditFieldsGrp, kIntegerEdit );
    SetBelowItem( dialog, kEditFieldsGrp, kCommonCtrlGrp, 0, 0 );
    SetBelowItem( dialog, kIntegerEdit, kRealEdit, 0, 0 );
    SetBelowItem( dialog, kRealEdit, kTextEdit, 0, 0 );
    SetFirstGroupItem( dialog, kCommonCtrlGrp, kCheckBox );
    SetBelowItem( dialog, kCommonCtrlGrp, kGetDataButton, 0, 0 );
    SetBelowItem( dialog, kCheckBox, kThreeStateCheckBox, 0, 0 );
    SetBelowItem( dialog, kThreeStateCheckBox, kRadioGrp, 0, 0 );
    SetFirstGroupItem( dialog, kRadioGrp, kRadio1 );
    SetBelowItem( dialog, kRadio1, kRadio2, 0, 0 );
    SetBelowItem( dialog, kRadio2, kRadio3, 0, 0 );

    {set alignments}
    AlignItemEdge( dialog, kEditFieldsGrp, kRight, 1, kResize );
    AlignItemEdge( dialog, kSeparator, kRight, 1, kResize );
    AlignItemEdge( dialog, kCenStaticText, kRight, 1, kResize );
    AlignItemEdge( dialog, kCommonCtrlGrp, kRight, 1, kResize );

    {set bindings}
    SetEdgeBinding        ( dialog, kEditFieldsGrp, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kIntegerEdit, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kRealEdit, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kTextEdit, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kSeparator, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kCenStaticText, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kCommonCtrlGrp, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kStaticText, TRUE, TRUE, FALSE, FALSE );

    {set help strings}
    FOR cnt := 1 TO 19 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( SampleDlg1 );

{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>SampleDlg1</Name>
    <Namespace></Namespace>
    <Title>Sample Dialog 1</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>FALSE</ResizableHeight>
    <StringsStartID>12000</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>12001</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>TRUE</TablesAddToDlgRes>
    <ExportXMLinVS>TRUE</ExportXMLinVS>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-60.000000" y="66.000000">
      <Parameter Name="__UUID">%LB5B826828-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticTextGroup</Parameter>
      <Parameter Name="id">5</Parameter>
      <Parameter Name="constName">EditFieldsGrp</Parameter>
      <Parameter Name="label">Edit Fields</Parameter>
      <Parameter Name="value">0</Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">70,4</Parameter>
      <Parameter Name="ControlPoint00Y">-20,5</Parameter>
      <Parameter Name="ControlPoint01X">38,4</Parameter>
      <Parameter Name="ControlPoint01Y">-63</Parameter>
      <Parameter Name="ControlPoint02X">68</Parameter>
      <Parameter Name="ControlPoint02Y">-38,5</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB42D7B25E-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">70,4</Parameter>
      <Parameter Name="__savedHandleRightY">-20,5</Parameter>
      <Parameter Name="__savedHandleBottomX">38,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-63</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">70,43416667</Parameter>
      <Parameter Name="__fVisControlHeight">40,93416667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-51.000000" y="59.000000">
      <Parameter Name="__UUID">%LB5B826829-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditIntegerBox</Parameter>
      <Parameter Name="id">6</Parameter>
      <Parameter Name="constName">IntegerEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value">3</Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is integer number edit box.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">29,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">15,7</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB7E632EC2-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">29,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">15,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">29,88551432</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-48.000000" y="50.000000">
      <Parameter Name="__UUID">%LB7E632EC2-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditRealBox</Parameter>
      <Parameter Name="id">7</Parameter>
      <Parameter Name="constName">RealEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value">0.1</Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is real dimension number edit box.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_Dimension</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">25,4</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,5</Parameter>
      <Parameter Name="ControlPoint01Y">-8</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB7E632EC3-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">25,4</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,5</Parameter>
      <Parameter Name="__savedHandleBottomY">-8</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">25,41240234</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-49.000000" y="42.000000">
      <Parameter Name="__UUID">%LB7E632EC3-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kEditTextBox</Parameter>
      <Parameter Name="id">8</Parameter>
      <Parameter Name="constName">TextEdit</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value">edit text</Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is text edit box. Note that this is single line text edit field.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,5</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,5</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24,93904622</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB5B826829-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB7E632EC2-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB7E632EC2-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB7E632EC3-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-59.000000" y="87.000000">
      <Parameter Name="__UUID">%LBB5701AD8-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kSeparator</Parameter>
      <Parameter Name="id">9</Parameter>
      <Parameter Name="constName">Separator</Parameter>
      <Parameter Name="label">None</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is separator line. It's size is aligned with the group boxes, and resizing is bounded to the dialog edge.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">20,2</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBBF32BB48-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">20,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">20,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">20,70777995</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-57.000000" y="78.000000">
      <Parameter Name="__UUID">%LBBF32BB48-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kCenteredStaticText</Parameter>
      <Parameter Name="id">10</Parameter>
      <Parameter Name="constName">CenStaticText</Parameter>
      <Parameter Name="label">Centered static text</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is centered text line. It's size is aligned with the group boxes, and resizing is bounded to the dialog edge.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">36,5</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">32,2</Parameter>
      <Parameter Name="ControlPoint01Y">-12</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB5B826828-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">36,5</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">32,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-12</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">36,47115885</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LBB5701AD8-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LBBF32BB48-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-60.000000" y="3.000000">
      <Parameter Name="__UUID">%LB42D7B25E-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticTextGroup</Parameter>
      <Parameter Name="id">11</Parameter>
      <Parameter Name="constName">CommonCtrlGrp</Parameter>
      <Parameter Name="label">Common Controls</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">76,8</Parameter>
      <Parameter Name="ControlPoint00Y">-29,7</Parameter>
      <Parameter Name="ControlPoint01X">11,4</Parameter>
      <Parameter Name="ControlPoint01Y">-69</Parameter>
      <Parameter Name="ControlPoint02X">74,4</Parameter>
      <Parameter Name="ControlPoint02Y">-57</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBB8FAA66E-E051-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">76,8</Parameter>
      <Parameter Name="__savedHandleRightY">-29,7</Parameter>
      <Parameter Name="__savedHandleBottomX">11,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-69</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">76,83416667</Parameter>
      <Parameter Name="__fVisControlHeight">59,43416667</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-54.000000" y="-7.000000">
      <Parameter Name="__UUID">%LB42D7B25F-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kCheckBox</Parameter>
      <Parameter Name="id">12</Parameter>
      <Parameter Name="constName">CheckBox</Parameter>
      <Parameter Name="label">Check Box</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is two state check box.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">27,8</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">24,8</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB4D9BD0C6-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">27,8</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">24,8</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">27,77256836</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-54.000000" y="-16.000000">
      <Parameter Name="__UUID">%LB4D9BD0C6-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kThreeStateCheckBox</Parameter>
      <Parameter Name="id">13</Parameter>
      <Parameter Name="constName">ThreeStateCheckBox</Parameter>
      <Parameter Name="label">Three State check box</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is three state check box.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">49,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">31,7</Parameter>
      <Parameter Name="ControlPoint01Y">-8</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LB4D9BD0C7-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">49,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">31,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-8</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">49,65857096</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-54.000000" y="-24.000000">
      <Parameter Name="__UUID">%LB4D9BD0C7-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticTextGroup</Parameter>
      <Parameter Name="id">14</Parameter>
      <Parameter Name="constName">RadioGrp</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">false</Parameter>
      <Parameter Name="ControlPoint00X">63,4</Parameter>
      <Parameter Name="ControlPoint00Y">-14,7</Parameter>
      <Parameter Name="ControlPoint01X">31,7</Parameter>
      <Parameter Name="ControlPoint01Y">-29,4</Parameter>
      <Parameter Name="ControlPoint02X">61</Parameter>
      <Parameter Name="ControlPoint02Y">-27</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">63,4</Parameter>
      <Parameter Name="__savedHandleRightY">-14,7</Parameter>
      <Parameter Name="__savedHandleBottomX">31,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-29,4</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">63,43416667</Parameter>
      <Parameter Name="__fVisControlHeight">29,43416667</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB42D7B25F-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4D9BD0C6-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB4D9BD0C6-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4D9BD0C7-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-58.000000" y="94.000000">
      <Parameter Name="__UUID">%LBB8D4F250-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">15</Parameter>
      <Parameter Name="constName">StaticText</Parameter>
      <Parameter Name="label">Static Text</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is common static text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">false</Parameter>
      <Parameter Name="ctrlWidth">25</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,4</Parameter>
      <Parameter Name="ControlPoint01Y">-7</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBB5701AD8-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">20</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-7</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">19,99671224</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LBB8D4F250-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LBB5701AD8-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LBBF32BB48-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB5B826828-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB5B826828-E038-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB42D7B25E-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-47.000000" y="-29.000000">
      <Parameter Name="__UUID">%LBD07F29A2-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kRadioButton</Parameter>
      <Parameter Name="id">16</Parameter>
      <Parameter Name="constName">Radio1</Parameter>
      <Parameter Name="label">radio 1</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is first radio button in this group.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20,2</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">10,1</Parameter>
      <Parameter Name="ControlPoint01Y">-8</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBD07F29A3-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">20,2</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">10,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-8</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">20,24641276</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-47.000000" y="-37.000000">
      <Parameter Name="__UUID">%LBD07F29A3-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kRadioButton</Parameter>
      <Parameter Name="id">17</Parameter>
      <Parameter Name="constName">Radio2</Parameter>
      <Parameter Name="label">radio 2</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is second radio button in this group.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20,2</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,1</Parameter>
      <Parameter Name="ControlPoint01Y">-8</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID">%LBE1FCA9DE-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">20,2</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-8</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">20,24641276</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-46.000000" y="-45.000000">
      <Parameter Name="__UUID">%LBE1FCA9DE-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kRadioButton</Parameter>
      <Parameter Name="id">18</Parameter>
      <Parameter Name="constName">Radio3</Parameter>
      <Parameter Name="label">radio 3</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">This is third radio button in this group.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20,2</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">10,1</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">20,2</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">10,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">20,24641276</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LBD07F29A2-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LBD07F29A3-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LBD07F29A3-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LBE1FCA9DE-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-58.000000" y="-66.000000">
      <Parameter Name="__UUID">%LBB8FAA66E-E051-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPushButton</Parameter>
      <Parameter Name="id">19</Parameter>
      <Parameter Name="constName">GetDataButton</Parameter>
      <Parameter Name="label">Get Data</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Show info box with dialog data.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">18,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,4</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">18,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">18,8889349</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB42D7B25E-E03A-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LBB8FAA66E-E051-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

