PROCEDURE SampleDlg3;
CONST
    {Alignment constants}
    kRight                = 1;
    kBottom               = 2;
    kLeft                 = 3;
    kResize               = 0;
    kShift                = 1;

    { dialog resource ID }
    kTextStrTableID       = 12002;

    { default and cancel button IDs}
    kOK                   = 1;
    kCancel               = 2;

    { control IDs}
    kTextPopupText        = 4;
    kTextPopup            = 5;
    kTextEnhPopupText     = 6;
    kTextEnhPopup         = 7;
    kMarkerPopupText      = 8;
    kMarkerPopup          = 9;
    kPattPopupText        = 10;
    kPattPopup            = 11;
    kLWPopupText          = 12;
    kLWPopup              = 13;
    kLSPopupText          = 14;
    kLSPopup              = 15;
    kLAttrPopupText       = 16;
    kLAttrPopup           = 17;
    kColorPopupText       = 18;
    kColorPopup           = 19;
    kImagePopupText       = 20;
    kImagePopup           = 21;

VAR
    dialog            :INTEGER;
    cnt               :INTEGER;

FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetStr, kTextStrTableID, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
    GetResourceString(GetHelpStr, kTextStrTableID, ndx + 21);
END;

BEGIN
    dialog := CreateResizableLayout(GetStr(3), TRUE, GetStr(kOK), GetStr(kCancel), TRUE, TRUE );

    {create controls}
    CreateStaticText( dialog, kTextPopupText, GetStr(kTextPopupText), -1 );
    CreatePulldownMenu( dialog, kTextPopup, 16 );
    CreateStaticText( dialog, kTextEnhPopupText, GetStr(kTextEnhPopupText), -1 );
    CreateEnhancedPullDownMenu( dialog, kTextEnhPopup, 16, TRUE );
    CreateStaticText( dialog, kMarkerPopupText, GetStr(kMarkerPopupText), -1 );
    CreateMarkerPopup( dialog, kMarkerPopup );
    CreateStaticText( dialog, kPattPopupText, GetStr(kPattPopupText), -1 );
    CreatePatternPopup( dialog, kPattPopup );
    CreateStaticText( dialog, kLWPopupText, GetStr(kLWPopupText), -1 );
    CreateLineWeightPopup( dialog, kLWPopup );
    CreateStaticText( dialog, kLSPopupText, GetStr(kLSPopupText), -1 );
    CreateLineStylePopup( dialog, kLSPopup );
    CreateStaticText( dialog, kLAttrPopupText, GetStr(kLAttrPopupText), -1 );
    CreateLineAttributePopup( dialog, kLAttrPopup );
    CreateStaticText( dialog, kColorPopupText, GetStr(kColorPopupText), -1 );
    CreateColorPopup( dialog, kColorPopup, 16 );
    CreateStaticText( dialog, kImagePopupText, GetStr(kImagePopupText), -1 );
    CreateControl( dialog, kImagePopup, 10, '', 0);

    {set relations}
    SetFirstLayoutItem( dialog, kTextPopupText );
    SetRightItem( dialog, kTextPopupText, kTextPopup, 0, 0 );
    SetBelowItem( dialog, kTextPopupText, kTextEnhPopupText, 0, 0 );
    SetRightItem( dialog, kTextEnhPopupText, kTextEnhPopup, 0, 0 );
    SetBelowItem( dialog, kTextEnhPopupText, kMarkerPopupText, 0, 0 );
    SetRightItem( dialog, kMarkerPopupText, kMarkerPopup, 0, 0 );
    SetBelowItem( dialog, kMarkerPopupText, kPattPopupText, 0, 0 );
    SetRightItem( dialog, kPattPopupText, kPattPopup, 0, 0 );
    SetBelowItem( dialog, kPattPopupText, kLWPopupText, 0, 0 );
    SetRightItem( dialog, kLWPopupText, kLWPopup, 0, 0 );
    SetBelowItem( dialog, kLWPopupText, kLSPopupText, 0, 0 );
    SetRightItem( dialog, kLSPopupText, kLSPopup, 0, 0 );
    SetBelowItem( dialog, kLSPopupText, kLAttrPopupText, 0, 0 );
    SetRightItem( dialog, kLAttrPopupText, kLAttrPopup, 0, 0 );
    SetBelowItem( dialog, kLAttrPopupText, kColorPopupText, 0, 0 );
    SetRightItem( dialog, kColorPopupText, kColorPopup, 0, 0 );
    SetBelowItem( dialog, kColorPopupText, kImagePopupText, 0, 0 );
    SetRightItem( dialog, kImagePopupText, kImagePopup, 0, 0 );

    {set alignments}
    AlignItemEdge( dialog, kTextPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kTextEnhPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kMarkerPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kPattPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kLWPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kLSPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kLAttrPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kColorPopup, kLeft, 1, kShift );
    AlignItemEdge( dialog, kImagePopup, kLeft, 1, kShift );

    {set bindings}
    SetEdgeBinding        ( dialog, kTextPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kTextEnhPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kMarkerPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kPattPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kLWPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kLSPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kLAttrPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kColorPopup, TRUE, TRUE, FALSE, FALSE );
    SetEdgeBinding        ( dialog, kImagePopup, TRUE, TRUE, FALSE, FALSE );

    {set help strings}
    FOR cnt := 1 TO 21 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));

    { uncomment to test the script
    IF RunLayoutDialog( dialog, NIL ) = 1 then BEGIN
    END;}

END;
RUN( SampleDlg3 );

{XML defintion of the layout}
{<BEGIN_XML>
<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<DialogBuilder>

  <LayoutData>
    <Name>SampleDlg3</Name>
    <Namespace></Namespace>
    <Title>Sample Dialog 3</Title>
    <OKText>OK</OKText>
    <OKHelpText>Accepts the dialog data.</OKHelpText>
    <CancelText>Cancel</CancelText>
    <CancelHelpText>Cancels the dialog data.</CancelHelpText>
    <HasHelp>TRUE</HasHelp>
    <ResizableWidth>TRUE</ResizableWidth>
    <ResizableHeight>TRUE</ResizableHeight>
    <StringsStartID>12002</StringsStartID>
    <HelpStrsInTable>FALSE</HelpStrsInTable>
    <HelpStrStartID>12003</HelpStrStartID>
    <ControlPrefix>k</ControlPrefix>
    <ShowControlIDs>TRUE</ShowControlIDs>
    <TablesAddToDlgRes>TRUE</TablesAddToDlgRes>
    <ExportXMLinVS>TRUE</ExportXMLinVS>
  </LayoutData>

  <Controls>
    <Control name="DialogBuilderControl" x="-45.000000" y="88.000000">
      <Parameter Name="__UUID">%LB0D49BDC8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">4</Parameter>
      <Parameter Name="constName">TextPopupText</Parameter>
      <Parameter Name="label">Text Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">68</Parameter>
      <Parameter Name="ControlPoint00Y">-3,4</Parameter>
      <Parameter Name="ControlPoint01X">21,5</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB0D49BDC9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB2025B7B2-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">68</Parameter>
      <Parameter Name="__savedHandleRightY">-3,4</Parameter>
      <Parameter Name="__savedHandleBottomX">21,5</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">22,82651367</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="23.000000" y="87.000000">
      <Parameter Name="__UUID">%LB0D49BDC9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextPopup</Parameter>
      <Parameter Name="id">5</Parameter>
      <Parameter Name="constName">TextPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">22,6</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,3</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">22,6</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,3</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">22,59086914</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-45.000000" y="79.000000">
      <Parameter Name="__UUID">%LB2025B7B2-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">6</Parameter>
      <Parameter Name="constName">TextEnhPopupText</Parameter>
      <Parameter Name="label">Text Enhanced Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">69</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">13,9</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB2025B7B3-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB2025B7B4-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">69</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">13,9</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">43,06920573</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="79.000000">
      <Parameter Name="__UUID">%LB2025B7B3-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kTextEnhancedPopup</Parameter>
      <Parameter Name="id">7</Parameter>
      <Parameter Name="constName">TextEnhPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">41,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">20,8</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">41,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">20,8</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">41,6574056</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-45.000000" y="69.000000">
      <Parameter Name="__UUID">%LB2025B7B4-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">8</Parameter>
      <Parameter Name="constName">MarkerPopupText</Parameter>
      <Parameter Name="label">Marker Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">70</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">13,1</Parameter>
      <Parameter Name="ControlPoint01Y">-11</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB2025B7B5-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB2025B7B6-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">70</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">13,1</Parameter>
      <Parameter Name="__savedHandleBottomY">-11</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">27,76471354</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="25.000000" y="69.000000">
      <Parameter Name="__UUID">%LB2025B7B5-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kMarkerPopup</Parameter>
      <Parameter Name="id">9</Parameter>
      <Parameter Name="constName">MarkerPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">27,5</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">13,8</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">27,5</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">13,8</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">27,52906901</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-46.000000" y="58.000000">
      <Parameter Name="__UUID">%LB2025B7B6-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">10</Parameter>
      <Parameter Name="constName">PattPopupText</Parameter>
      <Parameter Name="label">Pattern Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">71</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">17,9</Parameter>
      <Parameter Name="ControlPoint01Y">-11</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB2025B7B7-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB2025B7B8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">71</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">17,9</Parameter>
      <Parameter Name="__savedHandleBottomY">-11</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">28,24220378</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="25.000000" y="58.000000">
      <Parameter Name="__UUID">%LB2025B7B7-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kPatternPopup</Parameter>
      <Parameter Name="id">11</Parameter>
      <Parameter Name="constName">PattPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">28</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">14</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">28</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">14</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">28,00655924</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-46.000000" y="47.000000">
      <Parameter Name="__UUID">%LB2025B7B8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">12</Parameter>
      <Parameter Name="constName">LWPopupText</Parameter>
      <Parameter Name="label">LineWeight Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">71</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">16</Parameter>
      <Parameter Name="ControlPoint01Y">-9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB2025B7B9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB26C27D4E-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">71</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">16</Parameter>
      <Parameter Name="__savedHandleBottomY">-9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">35,77249349</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="25.000000" y="47.000000">
      <Parameter Name="__UUID">%LB2025B7B9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kLWPopup</Parameter>
      <Parameter Name="id">13</Parameter>
      <Parameter Name="constName">LWPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">20,7</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">10,4</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">20,7</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">10,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">20,70777995</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-46.000000" y="38.000000">
      <Parameter Name="__UUID">%LB26C27D4E-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">14</Parameter>
      <Parameter Name="constName">LSPopupText</Parameter>
      <Parameter Name="label">LineStyle Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText">Help text.</Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">70</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">21,2</Parameter>
      <Parameter Name="ControlPoint01Y">-11</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB26C27D4F-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB26C27D50-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">70</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">21,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-11</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">32,00838216</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="38.000000">
      <Parameter Name="__UUID">%LB26C27D4F-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kLSPopup</Parameter>
      <Parameter Name="id">15</Parameter>
      <Parameter Name="constName">LSPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">19,5</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">9,8</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">19,5</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">9,8</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">19,53575846</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-45.000000" y="27.000000">
      <Parameter Name="__UUID">%LB26C27D50-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">16</Parameter>
      <Parameter Name="constName">LAttrPopupText</Parameter>
      <Parameter Name="label">LineAttributes Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">69</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">11,4</Parameter>
      <Parameter Name="ControlPoint01Y">-12</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB26C27D51-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB4B742E76-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">69</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">11,4</Parameter>
      <Parameter Name="__savedHandleBottomY">-12</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">40,47918294</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="27.000000">
      <Parameter Name="__UUID">%LB26C27D51-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kLineAttrPopup</Parameter>
      <Parameter Name="id">17</Parameter>
      <Parameter Name="constName">LAttrPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">28,9</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">14,5</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">28,9</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">14,5</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">28,94707031</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-46.000000" y="15.000000">
      <Parameter Name="__UUID">%LB4B742E76-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">18</Parameter>
      <Parameter Name="constName">ColorPopupText</Parameter>
      <Parameter Name="label">Color Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">70</Parameter>
      <Parameter Name="ControlPoint00Y">-0,4</Parameter>
      <Parameter Name="ControlPoint01X">14,2</Parameter>
      <Parameter Name="ControlPoint01Y">-10</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB4B742E77-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID">%LB4B742E78-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__savedHandleRightX">70</Parameter>
      <Parameter Name="__savedHandleRightY">-0,4</Parameter>
      <Parameter Name="__savedHandleBottomX">14,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-10</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24,70960286</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="24.000000" y="17.000000">
      <Parameter Name="__UUID">%LB4B742E77-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kColorPopup</Parameter>
      <Parameter Name="id">19</Parameter>
      <Parameter Name="constName">ColorPopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">24,5</Parameter>
      <Parameter Name="ControlPoint00Y">-2,4</Parameter>
      <Parameter Name="ControlPoint01X">12,2</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">24,5</Parameter>
      <Parameter Name="__savedHandleRightY">-2,4</Parameter>
      <Parameter Name="__savedHandleBottomX">12,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">24,47395833</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="-45.000000" y="5.000000">
      <Parameter Name="__UUID">%LB4B742E78-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kStaticText</Parameter>
      <Parameter Name="id">20</Parameter>
      <Parameter Name="constName">ImagePopupText</Parameter>
      <Parameter Name="label">Image Popup:</Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">0</Parameter>
      <Parameter Name="alignEdge">KRight</Parameter>
      <Parameter Name="alignMode">kResize</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kNone</Parameter>
      <Parameter Name="bindRight">kNone</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">70</Parameter>
      <Parameter Name="ControlPoint00Y">-14,7</Parameter>
      <Parameter Name="ControlPoint01X">13,2</Parameter>
      <Parameter Name="ControlPoint01Y">-4,9</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID">%LB4B742E79-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">70</Parameter>
      <Parameter Name="__savedHandleRightY">-14,7</Parameter>
      <Parameter Name="__savedHandleBottomX">13,2</Parameter>
      <Parameter Name="__savedHandleBottomY">-4,9</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">26,35911458</Parameter>
      <Parameter Name="__fVisControlHeight">4,86833333</Parameter>
    </Control>
    <Control name="DialogBuilderControl" x="25.000000" y="5.000000">
      <Parameter Name="__UUID">%LB4B742E79-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="__locked">false</Parameter>
      <Parameter Name="type">kImagePopup</Parameter>
      <Parameter Name="id">21</Parameter>
      <Parameter Name="constName">ImagePopup</Parameter>
      <Parameter Name="label"></Parameter>
      <Parameter Name="value"></Parameter>
      <Parameter Name="bValue">false</Parameter>
      <Parameter Name="helpText"></Parameter>
      <Parameter Name="horzOffset">0</Parameter>
      <Parameter Name="vertOffset">0</Parameter>
      <Parameter Name="alignGroup">1</Parameter>
      <Parameter Name="alignEdge">kLeft</Parameter>
      <Parameter Name="alignMode">kShift</Parameter>
      <Parameter Name="visible">true</Parameter>
      <Parameter Name="enabled">true</Parameter>
      <Parameter Name="bindLeft">kFixed</Parameter>
      <Parameter Name="bindRight">kFixed</Parameter>
      <Parameter Name="bindTop">kNone</Parameter>
      <Parameter Name="bindBottom">kNone</Parameter>
      <Parameter Name="sizeToText">true</Parameter>
      <Parameter Name="ctrlWidth">16</Parameter>
      <Parameter Name="ctrlHeight">16</Parameter>
      <Parameter Name="ctrlLinesCnt">1</Parameter>
      <Parameter Name="realEditType">kEditRealType_RealNumber</Parameter>
      <Parameter Name="multiSelect">false</Parameter>
      <Parameter Name="margin">1</Parameter>
      <Parameter Name="renderMode">kWireframe</Parameter>
      <Parameter Name="viewMode">kTopPlan</Parameter>
      <Parameter Name="hasFrame">true</Parameter>
      <Parameter Name="ControlPoint00X">29,4</Parameter>
      <Parameter Name="ControlPoint00Y">-14,7</Parameter>
      <Parameter Name="ControlPoint01X">14,7</Parameter>
      <Parameter Name="ControlPoint01Y">-29,4</Parameter>
      <Parameter Name="ControlPoint02X">0</Parameter>
      <Parameter Name="ControlPoint02Y">0</Parameter>
      <Parameter Name="__RightUUID"></Parameter>
      <Parameter Name="__BottomUUID"></Parameter>
      <Parameter Name="__savedHandleRightX">29,4</Parameter>
      <Parameter Name="__savedHandleRightY">-14,7</Parameter>
      <Parameter Name="__savedHandleBottomX">14,7</Parameter>
      <Parameter Name="__savedHandleBottomY">-29,4</Parameter>
      <Parameter Name="__arrAlignments"></Parameter>
      <Parameter Name="__fVisControlWidth">29,42249349</Parameter>
      <Parameter Name="__fVisControlHeight">29,42249349</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB0D49BDC8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB0D49BDC9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB0D49BDC8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B2-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B2-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B3-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B2-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B4-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B4-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B5-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B4-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B6-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B6-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B7-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B6-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB2025B7B9-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB2025B7B8-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB26C27D4E-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB26C27D4E-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB26C27D4F-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB26C27D4E-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB26C27D50-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB26C27D50-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB26C27D51-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB26C27D50-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4B742E76-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB4B742E76-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4B742E77-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB4B742E76-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4B742E78-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">1</Parameter>
    </Control>
    <Control name="Dialog Builder Link" x="0.000000" y="0.000000">
      <Parameter Name="ParentObj">%LB4B742E78-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="RelatedObj">%LB4B742E79-E03D-11DB-B912-00138FD51EA3%RB</Parameter>
      <Parameter Name="ParentMode">0</Parameter>
    </Control>
  </Controls>

</DialogBuilder>

<END_XML>}

